EXIM_MSGDATE(8)

NAME
  exim_msgdate -  Utility to convert an exim message-id to a human readable date+time

SYNOPSIS
exim_msgdate [ -u|--unix | --GMT | --z|-Zulu | --UTC | -l|--local ]
      [ --base 36 | --base 62 | --base36 | --base62 | --b36 | --b62 ]
      [ --pid ] [ --debug ] [ --localhost_number ]
      [ -c c<full path to exim cnfig file> ]
      exim-message-id [ | exim-message-id ...]

exim_msgdate --help|--man

DESCRIPTION
exim_msgdate is a tool which converts an exim message-id to a human readable form, usuall just the date+time, but with the --pid option the process id as well.

Message IDs:
Three exim message ID formats are recognized. In each case the 'X's are taken from the base (see below) which depends upon the platform.

XXXXXX-XXXXXX-XX
    found in the exim logfile,

EXXXXXX-XXXXXX-XX
    found in the Message-Id header,

XXXXXX
    just the first six characters of the message id.

OPTIONS

  Time Zones and Unix Time

-u | --unix
    Display time as seconds since 1 Jan 1970, the Unix Epoch.

--GMT -u|--UTC -z|--zulu
    Display time in GMT/UTC - we assume these are the same. Zulu time is another name for GMT.

-l | --local
    Display time in the local time-zone.

    Do not confuse this with the --localhost_number option.

The default is the local timezone.

  User Assistance Options

--help
    A brief list of the options

--man
    A more detailed manual for exim_msgdate

--debug
    Information about what went wrong, mostly for developers.

  Specialized Options

--base n | --base36 | --base62
    The message-id is usually encoded in base-62 (0-9A-Za-z), but on systems with case-insensitive file systems, such as MacOS and Cygwin, base-36 (0-9A-Z) is used instead. The installation script should have set the default appropriately, but these options allow the default base to be overridden.

    The default matches "exim"; in this installation it is base-62.

--pid
    Report the process id as well as the date and time in the message-id.

--localhost_number n
    If the Exim configuration option localhost_number has been set, the third and final section of the message-id will include this and the timer resolution will change (see the Exim Spec. for details). "Exim_msgdate" reads the Exim config file (see --C) to find this value, but it can be overridden with this option.

    The value is an integer between 0 and 16, or the value "none" which means there is no localhost_number.

    Do not confuse this with the --local option, which displays times
     in the local timezone.

--C full path to exim configuration file
    This overrides the usual exim search path. We set "localhost_number" from the exim configfile.

-dexim_path
    The test test harness passes the full path of the "exim" binary, or here the "exim_msgdate" being tested. Not currently used.

SEE ALSO:
exim(8)

Exim spec.txt chapter 4 <https://exim.org/exim-html-current/doc/html/spec_html/ch-how_exim_receives_and_delivers_mail.html#SECTmessiden>